Get Parameter Definition

Returns a particular parameter by ID.

get
Path parameters
idstringRequired
Query parameters
selectstringOptional
Responses
chevron-right
200

OK

application/json

Parameter definition in the helpdesk system

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
scopestring · enumOptional

Defines the scope that determines where a parameter is applicable in the helpdesk system.

Possible values:
phasestring · enumOptional

Defines the phase that determines when a parameter is used in the helpdesk workflow.

Possible values:
descriptionstringOptional

The description of the parameter

Example: Customer contact email address
multiplebooleanOptional

Indicates whether the parameter can accept multiple values

Example: false
externalIdstring · nullableOptional

The optional external identifier of the parameter for integration purposes

Example: EXT-PARAM-123
displayOrderinteger · int32 · nullableOptional

The display order of the parameter where a lower value indicates higher priority in the display sequence

Example: 1
optionsany · nullableOptional

The type-specific options for the parameter which vary based on the parameter type

typestring · enumOptionalPossible values:
isDeletedbooleanOptional

Indicates whether the parameter definition has been marked as deleted.

get
/public/v1/helpdesk/parameters/{id}

Last updated

Was this helpful?